Subject: namedroppers mismanagement, continued

From: "D. J. Bernstein" <[email-masked]>
Date: 26 Nov 2002 11:49:42 -0000

I've sent twelve messages to the namedroppers mailing list this month.
Five of them have been silently discarded by the namedroppers censor,
Randy Bush. (See http://cr.yp.to/djbdns/namedroppers.html for previous
incidents.)

Bush says that the only relevant feature of my messages is that they're
sent from an address that isn't subscribed to namedroppers. Okay, boys
and girls, let's look at some statistics:

   * 5/12 of my messages have been silently discarded;

   * according to Bush, this has nothing to do with me or the content,
     so we estimate that about 5/12 of all non-subscriber messages have
     been silently discarded;

   * in the past three months, there have been about 100 legitimate
     messages from other people who Bush labelled as non-subscribers;

   * so we estimate that, in the last three months, Bush has silently
     discarded about 71 legitimate messages from other people. That's a
     rate of hundreds per year.

Bush doesn't say ``Your message didn't go through.'' Bush doesn't say
``Reply to this bounce to confirm your original message.'' He simply
throws the message away.

This is supposed to be the mailing list for an open IETF working group.
It's outrageous that valid messages are being silently discarded---even
if the number is not as large as hundreds per year.

---D. J. Bernstein, Associate Professor, Department of Mathematics,
Statistics, and Computer Science, University of Illinois at Chicago

P.S. Out of my twelve messages, the five that were silently discarded
are exactly the five that I would pick if I were a censor trying to bias
the DNSEXT decisions in favor of the BIND company. Coincidence, right?

P.P.S. Bush's mailing-list software doesn't cryptographically confirm
unsubscription requests. I kept my subscription address private until
Bush revealed it a few days ago. I'm working on obtaining a subscription
through an address that Bush doesn't know is connected to me.

---

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Tue, 26 Nov 2002 07:01:41 -0800

I can't say that I am the worlds greatest Randy Bush fan, but he
does not appear to be behaving in the manner indicated.

I strongly suspect that the cause of this problem is more likely 
to be found in Bersnsteins obnoxious qsecretary program which 
requests repeated confirmation of emails sent to Bernstein.

The obvious solution to this problem would be to subscribe the 
address to namedroppers and then use the majordomo option to 
stop sending the messages.

		Phill

> -----Original Message-----
> From: D. J. Bernstein [mailto:[email-masked]]
> Sent: Tuesday, November 26, 2002 6:50 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: namedroppers mismanagement, continued
> 
> 
> [ post by non-subscriber.  with the massive amount of spam, 
> it is easy to
>   miss and therefore delete mis-posts.  your subscription address is
>   [email-masked], please post from it or
>   fix subscription your subscription address! ]
> 
> --
> to unsubscribe send a message to 
> [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/namedroppers/>
>

---

From: "John S. Quarterman" <[email-masked]>
Date: Tue, 26 Nov 2002 11:26:09 -0600

> if the number is not as large as hundreds per year.

Messages from non-subscribers are not valid messages for a mailing list.

Personally, what I wonder is why Randy bothers to forward any messages
from non-subscribers, especially if this is the thanks he gets.

-jsq

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Dean Anderson <[email-masked]>
Date: Tue, 26 Nov 2002 14:12:51 -0500 (EST)

Randy also drops messages from subscribers whom he doesn't like.

I've been subject to this, and I resent the message to a few other people
to see if they thought my message was relevant and on-topic, and they
responded they thought it was.  Once, even the person I was disagreeing
with agreed that I had a valid point, and my message should have been
posted.

		--Dean

---

From: "John M. Brown" <[email-masked]>
Date: Wed, 27 Nov 2002 17:47:21 -0700

[ post by non-subscriber.  with the massive amount of spam, it is easy to
  miss and therefore delete mis-posts.  so fix subscription addresses! ]

Dan, sounds like a plan.  I say all messages from
Bernstein be handled via his option #2

Can we please BOUNCE all of Dr. Bernsteins email with
the correct procedure, in the bounce message, on how
to subscribe and be a participating member of the list
instead of bitching and wasting time.

If you have specific complaints about the List Manager
then forward them, in private, to the NomCom.

This list is NOT the place for this bitch fest.  

Now lets get back to something more important like
arguing over DNS SEC. ;)

Jeesh, what a waste...

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of D. J. Bernstein
> Sent: Wednesday, November 27, 2002 4:25 PM
> To: [email-masked]
> Subject: Re: namedroppers mismanagement, continued
> 
> 
> Olafur Gudmundsson writes:
> > Ask Randy to put your posting address on the approved posters list.
> 
> Messages are not being bounced with explanations of how to 
> set them up as known addresses. Messages are being SILENTLY 
> DISCARDED. (Misdirecting them to some obscure web page would 
> have essentially the same effect.)
> 
> You say the problem is that _I_ am not doing something. But a 
> whole bunch of namedroppers messages from _other_ people have 
> also been listed as coming from non-subscribers. How many 
> more messages have been lost--- or deliberately thrown away 
> by Bush? THE PROCEDURE IS FLAWED!
> 
> As for my own sender address [email-masked], Bush has already 
> taken manual action---but what he did was _not_ adding the 
> address to a list of known 
> addresses. Instead, he started putting my subscription 
> address on top of all my messages to the list---shortly after 
> I had informed him that I kept _that_ address private to 
> limit the number of people who can forge unsubscription requests.
> 
> I don't care whether Bush's decisions can be adequately 
> explained by stupidity. The decisions shouldn't be made by 
> hand in the first place. The only acceptable ways to process 
> a message to a standardization mailing list are
> 
>    (1) to immediately pass it through unchanged to the subscribers or
>    (2) to immediately bounce it.
> 
> The decision between #1 and #2 must be made by objective 
> standards. The bounces must clearly and thoroughly explain 
> the standards. The standards must allow the sender to 
> straightforwardly arrange for #1.
> 
> ---D. J. Bernstein, Associate Professor, Department of 
> Mathematics, Statistics, and Computer Science, University of 
> Illinois at Chicago
> 
> 
> 
> --
> [email-masked] with the word 'unsubscribe' 
> in a single line as the message text body.

---

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Wed, 27 Nov 2002 19:07:08 -0800

> Now lets get back to something more important like

Yes, please continue this discussion on alt.flame where the other
Kevin Darcy will be pleased to discuss the issue at interminable 
length.

Perhaps Dan's list of roots could be posted to the same news group,
might liven up the discussion a little.

	Phill

---

From: Erik Nordmark <[email-masked]>
Date: Thu, 28 Nov 2002 18:01:35 +0100 (CET)

> I don't care whether Bush's decisions can be adequately explained by
> stupidity. The decisions shouldn't be made by hand in the first place.
> The only acceptable ways to process a message to a standardization
> mailing list are
> 
> The decision between #1 and #2 must be made by objective standards. The
> bounces must clearly and thoroughly explain the standards. The standards
> must allow the sender to straightforwardly arrange for #1.

I disagree that there is no room for human beings filtering out spam.
Your approach means that an IETF participant can't cross-post messages
to mailing lists to which s/he is not subscribed, which I think would make
inter-WG coordination much more difficult when we need to make it easier.

  Erik

---

From: Erik Nordmark <[email-masked]>
Date: Thu, 28 Nov 2002 17:56:09 +0100 (CET)

> Bush imposed his mailing-list control methods without IESG approval, in
> violation of RFC 2418, section 3.2.

Dan,

The spam filtering applied to the namedroppers list is consistent
with the IESG policy on spam control at
http://www.ietf.org/IESG/Statements.html

> What's stopping him from selectively delaying or discarding messages
> that he doesn't like? How can we tell whether these were actually
> ``mistakes''?

Messages sent by subscribers to the list, or from addresses that have
been explicitly requested to be added to the exception list
of automatically approved non-subscriber posters, are sent to the list
without any manual review.

The manual review only applies to non-subscriber postings with the intent
of filtering out spam that isn't caught by the automatic spam filtering,
while allowing occasional messages, such as WG cross postings, to get through.
However, any frequent posters to the list should either post from
their subscription address or ask to be added to the exception list.

   Erik